Package org.eclipse.mat.internal.collectionextract

## Class MATArrayBig

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.FieldSizedCollectionExtractor
  - - org.eclipse.mat.internal.collectionextract.MATArrayBig

All Implemented Interfaces:
  `ICollectionExtractor`

    public class MATArrayBig
    extends FieldSizedCollectionExtractor

### Constructor Summary

Constructors
`MATArrayBig​(String sizeField, String pagesField)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `getCapacity​(IObject coll)` Return the capacity of the collection, if applicable
`Double` `getFillRatio​(IObject coll)` Calculate the fill ratio of a collection
`boolean` `hasCapacity()` Check if the collection has capacity, e.g.
`boolean` `hasExtractableArray()` Return true if the collection array based and the array can be extracted from the heap dump
`boolean` `hasExtractableContents()` Check if the collection has extractable contents
`boolean` `hasFillRatio()` Check if fill ratio for the collection can be calculated, i.e.

### Methods inherited from class org.eclipse.mat.internal.collectionextract.FieldSizedCollectionExtractor

`extractEntries, extractEntryIds, getNumberOfNotNullElements, getSize, hasSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MATArrayBig

    public MATArrayBig​(String sizeField,
                       String pagesField)

### Method Detail

#### hasCapacity

    public boolean hasCapacity()

Description copied from interface: `ICollectionExtractor`
Check if the collection has capacity, e.g. ArrayList

Specified by:
  `hasCapacity` in interface `ICollectionExtractor`
Overrides:
  `hasCapacity` in class `FieldSizedCollectionExtractor`
Returns:
  true if `ICollectionExtractor.getCapacity(IObject)` could be called
See Also:
  `ICollectionExtractor.getCapacity(IObject)`

#### getCapacity

    public Integer getCapacity​(IObject coll)
                        throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Return the capacity of the collection, if applicable

Specified by:
  `getCapacity` in interface `ICollectionExtractor`
Overrides:
  `getCapacity` in class `FieldSizedCollectionExtractor`
Parameters:
  `coll` - - the collection to find the capacity of
Returns:
  the capacity in bytes, or null if unavailable
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  `ICollectionExtractor.hasCapacity()`

#### hasFillRatio

    public boolean hasFillRatio()

Description copied from interface: `ICollectionExtractor`
Check if fill ratio for the collection can be calculated, i.e. if it has some predefined capacity and actual size.

Specified by:
  `hasFillRatio` in interface `ICollectionExtractor`
Overrides:
  `hasFillRatio` in class `FieldSizedCollectionExtractor`
Returns:
  true if `ICollectionExtractor.getFillRatio(IObject)` could be called
See Also:
  `ICollectionExtractor.getFillRatio(IObject)`

#### getFillRatio

    public Double getFillRatio​(IObject coll)
                        throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Calculate the fill ratio of a collection

Specified by:
  `getFillRatio` in interface `ICollectionExtractor`
Overrides:
  `getFillRatio` in class `FieldSizedCollectionExtractor`
Parameters:
  `coll` - - the collection to find the fill ratio of
Returns:
  the fill ratio, between 0.0 and 1.0, or null if unavailable
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  `ICollectionExtractor.hasFillRatio()`

#### hasExtractableContents

    public boolean hasExtractableContents()

Description copied from interface: `ICollectionExtractor`
Check if the collection has extractable contents

Specified by:
  `hasExtractableContents` in interface `ICollectionExtractor`
Overrides:
  `hasExtractableContents` in class `FieldSizedCollectionExtractor`
Returns:
  true if `ICollectionExtractor.extractEntryIds(IObject)` could be called
See Also:
  `ICollectionExtractor.extractEntryIds(IObject)`

#### hasExtractableArray

    public boolean hasExtractableArray()

Description copied from interface: `ICollectionExtractor`
Return true if the collection array based and the array can be extracted from the heap dump

Specified by:
  `hasExtractableArray` in interface `ICollectionExtractor`
Overrides:
  `hasExtractableArray` in class `FieldSizedCollectionExtractor`
Returns:
  true if `ICollectionExtractor.extractEntries(IObject)` could be called
See Also:
  `ICollectionExtractor.extractEntries(IObject)`